<?php

namespace App\ViewModels\Perfil\PerfilUpdateViewModel;
use App\Utils\Entity;

class PerfilUpdateViewModel extends Entity
{
    protected $descricao;
    protected $permissao;

    public static function builder() : PerfilUpdateViewModelBuilder
    {
        $perfil_update_view_model_builder = new PerfilUpdateViewModelBuilder();
        return $perfil_update_view_model_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getPermissao()
    {
        return $this->permissao;
    }

    /**
     * @param mixed $permissao
     */
    public function setPermissao($permissao): void
    {
        $this->permissao = $permissao;
    }

}
